V1.0

put

/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/subjects/{subjectId}/replaceSubject

Replace an existing subject as per the study protocol (randomization). Returns updated subject replacement details.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ABCDEF1234567890ABCDEF1234567890
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Subject replacement processed successfully.
Body ()
Root Schema : SubjectRespDto14
Type: object
Subject response details including fields like replacement randomization, unresolved queries etc..
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top